# spec file for php-phpunit-PHPUnit
#
# Copyright (c) 2010-2015 Remi Collet
# Copyright (c) 2006-2009 Christopher Stone
#
# License: MIT
# http://opensource.org/licenses/MIT
#
# Please, preserve the changelog entries
#
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name DB_DataObject

Name:           php-pear-DB-DataObject
Version:        1.11.5
Release:        3%{?dist}
Summary:        An SQL Builder, Object Interface to Database Tables

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/DB_DataObject
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear

Requires:       php-pear(PEAR)
Requires:       php-pear(Date) >= 1.4.3
# Optional
Requires:       php-pear(Validate) >= 0.1.1
# MDB2 and DB are now optional dependancies, although one of them is required.
Requires:       php-pear(DB) >= 1.7.0
Requires:       php-pear(MDB2) >= 2.0.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
# extensions detected by phpci
Requires:       php-date
Requires:       php-pcre
Requires:       php-reflection
Requires:       php-session
# still optional, according to used driver: sqlite, mysql, pgsql

Provides:       php-pear(%{pear_name}) = %{version}


%description
DataObject performs 2 tasks:
1. Builds SQL statements based on the objects vars and the builder methods.
2. acts as a datastore for a table row.

The core class is designed to be extended for each of your tables so that you
put the data logic inside the data classes. Included is a Generator to make
your configuration files and your base classes.


%prep
%setup -qc

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
install -d %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

# Move createTables script to /usr/bin
chmod +x %{buildroot}%{pear_phpdir}/DB/DataObject/createTables.php
ln -s ../..%{pear_phpdir}/DB/DataObject/createTables.php \
      %{buildroot}%{_bindir}/createTables


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{_bindir}/createTables
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/DB/DataObject*
%exclude %{_bindir}/DB/scripts/DB_DataObject_createTables.bat


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Remi Collet <remi@fedoraproject.org> - 1.11.5
- update to 1.11.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr  8 2015 Remi Collet <remi@fedoraproject.org> - 1.11.4-1
- update to 1.11.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 22 2014 Remi Collet <remi@fedoraproject.org> - 1.11.3
- version 1.11.3
- LICENSE now included in upstream archive

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr  5 2013 Remi Collet <remi@fedoraproject.org> - 1.11.2
- Version 1.11.2 (stable) - API 1.9.0 (stable)
- add LICENSE file

* Fri Apr  5 2013 Remi Collet <remi@fedoraproject.org> - 1.11.1
- Version 1.11.1 (stable) - API 1.9.0 (stable)

* Wed Apr  3 2013 Remi Collet <remi@fedoraproject.org> - 1.11.0-1
- Version 1.11.0 (stable) - API 1.9.0 (stable)

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.10.0-3
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 Remi Collet <Fedora@FamilleCollet.com> - 1.9.6-1
- Version 1.10.0 (stable) - API 1.9.0 (stable)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 29 2011 Remi Collet <Fedora@FamilleCollet.com> - 1.9.6-1
- Version 1.9.6 (stable) - API 1.9.0 (stable)
- upstream doc in /usr/share/doc/pear
- change link for /usr/bin/createTables

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 08 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.9.5-1
- Version 1.9.5 (stable) - API 1.9.0 (stable)
- add generated CHANGELOG

* Sat Aug 28 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.8.12-2
- clean define
- remove LICENSE file (not provided by upstream)
- rename DB_DataObject.xml to php-pear-DB-DataObject.xml
- set date.timezone during build


* Sun Aug 30 2009 Christopher Stone <chris.stone@gmail.com> 1.8.12-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.8.8-2
- fix license tag

* Thu Feb  7 2008 Christopher Stone <chris.stone@gmail.com> 1.8.8-1
- Upstream sync

* Sat Sep  8 2007 Christopher Stone <chris.stone@gmail.com> 1.8.7-1
- Upstream sync
- Update license file

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.8.5-2
- Use correct version of license

* Sat Dec 16 2006 Christopher Stone <chris.stone@gmail.com> 1.8.5-1
- Upstream sync
- Add LICENSE to %%doc

* Fri Nov 17 2006 Christohper Stone <chris.stone@gmail.com> 1.8.4-2
- Fix version number in %%changelog
- Add versioned Requires
- Move createTables script to %%{_bindir}

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 1.8.4-1
- Initial Release
